





.share {
  $parent: &;
  margin-top:-30px;
  right:0;
  position:absolute;
  z-index:5;
  opacity:1;

  @include breakpoint($large) {
    top:map-get($desktop, space-lg);
    position:relative;
    right:auto;
    margin:0;
  }

  &__main {
    width: 70px;
    margin: 0 0 0 auto;
    position:relative;

    @include breakpoint($large) {
      position:absolute;
      top: 0;
      left: -150px;
    }
  }

   &__button{
    display: block;
    width: 42px;
    height: 42px;
    border: 1px solid #EDF2F6;
    border-radius: 100%;
    margin:20px auto;
    position:relative;
    color: #58595B;
    background-color:#fff;

    @include breakpoint($large) {
      display:none;
    }

    &:first-child{
      margin-top:0;
    }

    &:hover,
    &:focus {
      color:$color-accessibleGreen;
    }

    a, button {
      outline: none;
      color: inherit;
      background:transparent;
      padding: 11px;
      display: block;
      width: 100%;
      height: 100%;
      border: none;
    }

    // workaround for Pinterest's automatic button creation
    &--pinterest {
      position: relative;
       & > span:first-child {
        background-image: none!important;
      }
      & > span:last-child {
        position: static!important;
      }
      .icon {
        position: static!important;
      }
      svg {
        pointer-events:none;
      }
    }


    img {
      display:block;
    }

    svg {
      position:absolute;
      top:50%;
      left: 50%;
      transform:translate(-50%, -50%);
      fill: currentColor;
      width: 18px;
      height: 18px;
    }
  }

  &__container {
    position:relative;
    padding: 0;
    @include breakpoint($large) {
      max-width:700px !important;
    }
  }

  &__networks {
    box-shadow: 0 0 20px rgba(0,0,0,.2);
    z-index: 99;
    background:#fff;
    position:absolute;
    width:100%;
    border-radius:3px;
    visibility: hidden;
    opacity: 0;
    transition: all .5s;

    #{$parent}__button{
      display:block;
    }

    &:before {
      content: "";
      display: block;
      position: absolute;
      width: 20px;
      height: 20px;
      background: #fff;
      top: -4px;
      left: 50%;
      transform: translateX(-50%) rotate(45deg);
    }

    @include breakpoint($large) {
      background:none;
      visibility: visible;
      opacity: 1;
      box-shadow:none;
      &:before {display:none;}
    }
  }

  &--open {
    #{$parent}__networks {
      visibility: visible;
      opacity: 1;
    }
  }
}
